| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__UnassignDayScheduleRequest Class Reference
Time Destination

Unassign Day Schedule request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | TimeDestinationName
| The name of the Time Destination to which Day Schedules are to be unassigned. More...
xsd__boolean | UnassignAll
| Indicates that all Day Schedules are to be unassigned. More...
xsd__boolean | UnassignSun
| Indicates that the Day Schedule specified as DayScheduleNameSun is to be unassigned. More...
xsd__boolean | UnassignMon
| Indicates that the Day Schedule specified as DayScheduleNameMon is to be unassigned. More...
xsd__boolean | UnassignTue
| Indicates that the Day Schedule specified as DayScheduleNameTue is to be unassigned. More...
xsd__boolean | UnassignWed
| Indicates that the Day Schedule specified as DayScheduleNameWed is to be unassigned. More...
xsd__boolean | UnassignThu
| Indicates that the Day Schedule specified as DayScheduleNameThu is to be unassigned. More...
xsd__boolean | UnassignFri
| Indicates that the Day Schedule specified as DayScheduleNameFri is to be unassigned. More...
xsd__boolean | UnassignSat
| Indicates that the Day Schedule specified as DayScheduleNameSat is to be unassigned. More...

## Detailed Description

Unassign Day Schedule request.

Used by unsp__unassignDaySchedule()

## Member Data Documentation

## ◆ OperatorId

xsd__string unsp__UnassignDayScheduleRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ TimeDestinationName

xsd__string unsp__UnassignDayScheduleRequest::TimeDestinationName

The name of the Time Destination to which Day Schedules are to be unassigned.

required: true
default value[range]: NA [1..15]

## ◆ UnassignAll

xsd__boolean unsp__UnassignDayScheduleRequest::UnassignAll

Indicates that all Day Schedules are to be unassigned.

required: false
default value[range]: false

## ◆ UnassignFri

xsd__boolean unsp__UnassignDayScheduleRequest::UnassignFri

Indicates that the Day Schedule specified as DayScheduleNameFri is to be unassigned.

required: false
default value[range]: false

## ◆ UnassignMon

xsd__boolean unsp__UnassignDayScheduleRequest::UnassignMon

Indicates that the Day Schedule specified as DayScheduleNameMon is to be unassigned.

required: false
default value[range]: false

## ◆ UnassignSat

xsd__boolean unsp__UnassignDayScheduleRequest::UnassignSat

Indicates that the Day Schedule specified as DayScheduleNameSat is to be unassigned.

required: false
default value[range]: false

## ◆ UnassignSun

xsd__boolean unsp__UnassignDayScheduleRequest::UnassignSun

Indicates that the Day Schedule specified as DayScheduleNameSun is to be unassigned.

required: false
default value[range]: false

## ◆ UnassignThu

xsd__boolean unsp__UnassignDayScheduleRequest::UnassignThu

Indicates that the Day Schedule specified as DayScheduleNameThu is to be unassigned.

required: false
default value[range]: false

## ◆ UnassignTue

xsd__boolean unsp__UnassignDayScheduleRequest::UnassignTue

Indicates that the Day Schedule specified as DayScheduleNameTue is to be unassigned.

required: false
default value[range]: false

## ◆ UnassignWed

xsd__boolean unsp__UnassignDayScheduleRequest::UnassignWed

Indicates that the Day Schedule specified as DayScheduleNameWed is to be unassigned.

required: false
default value[range]: false

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h